[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#320205: debian-cd: Don't require source mirror for building only binaries



Package: debian-cd
Severity: wishlist
Tags: patch

The attached patch allows to build only binary CDs without having sources 
on the local mirror.

In the current build.sh script, 'make list' is always called which fails 
if there are no sources on the mirror. The new version allows to set 
NOSOURCE which makes sure that both bin-lists and bin-official_images are 
called.

The old envvar IMAGETARGET is still supported for backwards compatibility 
and should result in the old behavior.

Index: build.sh
===================================================================
--- build.sh	(revision 891)
+++ build.sh	(working copy)
@@ -55,8 +55,18 @@
 done
 
 FULL_SIZE=`echo "($DEFSRCSIZE - $size) * 1024 * 1024" | bc`
-make list $SIZE_ARGS SRCSIZELIMIT=$FULL_SIZE
+
+LISTTARGET="list"
+if [ -n "$NOSOURCE" ] ; then
+    LISTTARGET="bin-list"
+fi
+make $LISTTARGET $SIZE_ARGS SRCSIZELIMIT=$FULL_SIZE
+
 echo " ... building the images"
+# Setting IMAGETARGET directly is deprecated; NOSOURCE is preferred
+if [ -n "$NOSOURCE" ] ; then
+    IMAGETARGET="bin-official_images"
+fi
 if [ -z "$IMAGETARGET" ] ; then
     IMAGETARGET="official_images"
 fi
Index: CONF.sh
===================================================================
--- CONF.sh	(revision 891)
+++ CONF.sh	(working copy)
@@ -20,6 +20,7 @@
 unset MKISOFS_OPTS      || true
 unset ISOLINUX          || true
 unset EXCLUDE           || true
+unset NOSOURCE          || true
 unset SRCEXCLUDE        || true
 unset NORECOMMENDS      || true
 unset NOSUGGESTS        || true
@@ -175,6 +176,11 @@
 # We also exclude some source packages
 #export SRCEXCLUDE="$BASEDIR"/tasks/exclude-src-potato
 
+# Set this if building source packages CDs should be skipped.
+# You won't need source packages on your local mirror in that case.
+# (Setting IMAGETARGET is now deprecated, though still supported.)
+#export NOSOURCE=1
+
 # Set this if the recommended packages should be skipped when adding 
 # package on the CD.  The default is 'false'.
 export NORECOMMENDS=1
@@ -281,11 +287,6 @@
 # If set, overrides the boot picture used.
 #export SPLASHPNG="$BASEDIR/data/$CODENAME/splash-img.png"
 
-# Used by build.sh to determine what to build, this is the name of a target
-# in the Makefile. Use bin-official_images to build only binary CDs. The
-# default, official_images, builds everything.
-#IMAGETARGET=official_images
-
 # Set to 1 to save space by omitting the installation manual. 
 # If so the README will link to the manual on the web site.
 #export OMIT_MANUAL=1

Attachment: pgpBP21SSb69q.pgp
Description: PGP signature


Reply to: